This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 813063 - [abrt] synergy-1.3.8-1: __pthread_mutex_lock: Process /usr/bin/synergys was killed by signal 11 (SIGSEGV)
[abrt] synergy-1.3.8-1: __pthread_mutex_lock: Process /usr/bin/synergys was k...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: synergy (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christian Krause
Fedora Extras Quality Assurance
abrt_hash:213134fe18b5501e974ee439d2b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-16 15:27 EDT by Blue.Dog.Archolite
Modified: 2013-02-13 07:58 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 07:58:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: event_log (5.80 KB, text/plain)
2012-04-16 15:27 EDT, Blue.Dog.Archolite
no flags Details
File: coredump (17.33 MB, text/plain)
2012-04-16 15:28 EDT, Blue.Dog.Archolite
no flags Details
File: backtrace (13.50 KB, text/plain)
2012-04-16 15:28 EDT, Blue.Dog.Archolite
no flags Details
File: maps (8.39 KB, text/plain)
2012-04-16 15:28 EDT, Blue.Dog.Archolite
no flags Details
File: backtrace (13.50 KB, text/plain)
2012-04-18 12:55 EDT, Blue.Dog.Archolite
no flags Details

  None (edit)
Description Blue.Dog.Archolite 2012-04-16 15:27:46 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        synergys -f
crash_function: __pthread_mutex_lock
executable:     /usr/bin/synergys
kernel:         3.3.1-3.fc16.x86_64
pid:            6584
pwd:            /home/thief
reason:         Process /usr/bin/synergys was killed by signal 11 (SIGSEGV)
time:           Mon 16 Apr 2012 02:15:31 PM CDT
uid:            1000
username:       thief
xsession_errors: 

backtrace:      Text file, 13824 bytes
event_log:      Text file, 5941 bytes
maps:           Text file, 8588 bytes

build_ids:
:1c6a95451ee19617be5abea3d121f0226d21ddda
:dc998e8c1e1dc44c684b9b86e753945a868e134a
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:d0c6e13f00a20952a72a945c929efb175fd760e3
:3ba5302e34546a45e9a85ac3429e7bc6ed624011
:638db099ff5fb986d1a092629d1bb1dca5be4904
:0f0c9eed63ed279ceb0aef109eff8bcbb351e4bb
:25b834f4c4dc534708635ff1064e2fe02a366a62
:163b323da65b708418226eb5fa8b057c731d1475
:e2e67b3ae2579e1667b73ad385f61552931024e9
:0911ea7c180d733724f89037b8e8a34e64024aec
:4a7e68edf2778a9fbd3d4a8fbd3f9d1e7b785fc6
:dacf32a9a2f2b5077ba944e7b835cca6f637f78f
:4c842320387ff7f6f91b7842b223c16518be909f
:75eaece6e0d1e075520cdfad5c398fdab4370846
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:040f78c63e49df93936f710287bdc74ae83111c0
:b9d3a4213a482d034bebc7dc1ed2901a734a894d
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:2670385f49fb9f120f7cf843f211e3c620da8632
:1a212c7f1515542b310ba92f6109efc9b5bf2b6e
:11cc2b1a07a53c6b1129deb052f16b2862d74c27

dso_list:
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1320287307
:/lib64/libm-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1334177233
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-3.fc16.x86_64 (Fedora Project) 1320287306
:/usr/lib64/libXtst.so.6.1.0 libXtst-1.2.0-2.fc15.x86_64 (Fedora Project) 1320287306
:/usr/lib64/libSM.so.6.0.1 libSM-1.2.0-2.fc15.x86_64 (Fedora Project) 1320287305
:/usr/lib64/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.x86_64 (Fedora Project) 1320287307
:/lib64/libpthread-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1334177233
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc16.x86_64 (Fedora Project) 1320287306
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1320287306
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc16.x86_64 (Fedora Project) 1320287306
:/usr/lib64/libXext.so.6.4.0 libXext-1.3.0-1.fc16.x86_64 (Fedora Project) 1334177250
:/lib64/libdl-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1334177233
:/lib64/libuuid.so.1.3.0 libuuid-2.20.1-2.2.fc16.x86_64 (Fedora Project) 1334177266
:/usr/bin/synergys synergy-1.3.8-1.x86_64 (The Synergy Project) 1334250812
:/lib64/libc-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1334177233
:/usr/lib64/libICE.so.6.3.0 libICE-1.0.7-1.fc16.x86_64 (Fedora Project) 1320287304
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1320287306
:/lib64/libgcc_s-4.6.3-20120306.so.1 libgcc-4.6.3-2.fc16.x86_64 (Fedora Project) 1334177192
:/lib64/ld-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1334177233
:/lib64/libnss_files-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1334177233
:/usr/lib64/libstdc++.so.6.0.16 libstdc++-4.6.3-2.fc16.x86_64 (Fedora Project) 1334177246
:/usr/lib64/libXi.so.6.1.0 libXi-1.4.5-1.fc16.x86_64 (Fedora Project) 1334177287

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:rvm_bin_path=/home/thief/.rvm/bin
:HOSTNAME=ThiefLenovo.mp
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-q9vEpx/gpg:0:1
:GEM_HOME=/home/thief/.rvm/gems/ruby-1.9.2-p318
:SHELL=/bin/bash
:TERM=xterm
:HISTSIZE=1000
:XDG_SESSION_COOKIE=8c3199e5cb28791c01b55ffe0000000e-1334587400.499258-533016843
:IRBRC=/home/thief/.rvm/rubies/ruby-1.9.2-p318/.irbrc
:WINDOWID=58720260
:GNOME_KEYRING_CONTROL=/tmp/keyring-q9vEpx
:MY_RUBY_HOME=/home/thief/.rvm/rubies/ruby-1.9.2-p318
:IMSETTINGS_MODULE=none
:USER=thief
:__array_start=0
:rvm_path=/home/thief/.rvm
:SSH_AUTH_SOCK=/tmp/keyring-q9vEpx/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1352,unix/unix:/tmp/.ICE-unix/1352
:USERNAME=thief
:escape_flag=1
:rvm_prefix=/home/thief
:PATH=/usr/local/bin/android-sdk-macosx/tools:/opt/local/bin:/opt/local/sbin:/usr/local/sbin:/usr/include:/home/thief/.rvm/gems/ruby-1.9.2-p318/bin:/home/thief/.rvm/gems/ruby-1.9.2-p318@global/bin:/home/thief/.rvm/rubies/ruby-1.9.2-p318/bin:/home/thief/.rvm/bin:/usr/local/bin/android-sdk-macosx/tools:/opt/local/bin:/opt/local/sbin:/usr/local/sbin:/usr/include:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/thief/.rvm/bin:/home/thief/.rvm/bin
:MAIL=/var/spool/mail/thief
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/thief
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1348
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:_second=1
:'PS1=thief: \\w $(~/.rvm/bin/rvm-prompt) on \\[\\033[31m\\]$(parse_git_branch)$(parse_svn_branch) \\[\\033[00m\\]$\\[\\033[00m\\] '
:GDMSESSION=gnome
:HISTCONTROL=ignoreboth
:'rvm_version=1.12.3 (stable)'
:HOME=/home/thief
:XDG_SEAT=seat0
:SHLVL=3
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:_first=0
:LOGNAME=thief
:GEM_PATH=/home/thief/.rvm/gems/ruby-1.9.2-p318:/home/thief/.rvm/gems/ruby-1.9.2-p318@global
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-yRTTmqGGF4,guid=f53a72e7e7f4fa7b6ff12f940000004c
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/thief
:DISPLAY=:0
:RUBY_VERSION=ruby-1.9.2-p318
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-thief-rsCCjg/database
:_=/usr/bin/synergys

smolt_data:
:
:
:General
:=================================
:UUID: e05c131b-7db2-4398-a94a-836791dc9645
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 3325.23
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 CPU         T5500  @ 1.66GHz
:CPU Stepping: 6
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 1667
:System Memory: 1994
:System Swap: 3999
:Vendor: LENOVO
:System: 0768DKU 3000 N100
:Form factor: Notebook
:Kernel: 3.3.1-3.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10144:6058:8289) pci, agpgart-intel, HOST/PCI, Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub
:(32902:10202:6058:8307) pci, None, SERIAL, N10/ICH 7 Family SMBus Controller
:(32902:10180:6058:8306) pci, ata_piix, STORAGE, 82801GBM/GHM (ICH7 Family) SATA IDE Controller
:(32902:10169:6058:8305) pci, None, PCI/ISA, 82801GBM (ICH7-M) LPC Interface Bridge
:(32902:9288:6058:8304) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10185:6058:8300) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:6058:8299) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:10187:6058:8302) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10186:6058:8301) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10188:6058:8303) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:(32902:16935:32902:4112) pci, iwl3945, NETWORK, PRO/Wireless 3945ABG [Golan] Network Connection
:(32902:10146:6058:8290) pci, i915, VIDEO, Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller
:(32902:10150:6058:8290) pci, None, VIDEO, Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller
:(32902:10192:6058:8295) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:6058:8296) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(32902:10200:6058:8294) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(5412:5136:6058:8309) pci, yenta_cardbus, PCI/CARDBUS, CB1410 Cardbus Controller
:(4480:2130:6058:8314) pci, r852, BASE, xD-Picture Card Controller
:(4480:1426:6058:8313) pci, r592, BASE, R5C592 Memory Stick Bus Host Adapter
:(4480:2082:6058:8311) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:(4480:2098:6058:8310) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:(4332:33081:6058:8308) pci, 8139too, ETHERNET, RTL-8139/8139C/8139C+
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_thieflenovo-lv_root / ext4 4096 4096 12240539 10864348 10741842 3063808 2887508 2887508
:/dev/mapper/vg_thieflenovo-lv_home /home ext4 4096 4096 6110538 5509436 5203056 1531904 1477598 1477598
:/dev/sda2 /boot ext4 1024 1024 508745 435376 409776 128016 127785 127785
:

var_log_messages:
:Apr 16 10:49:20 ThiefLenovo kernel: [ 4036.021838] synergys[6386]: segfault at 10 ip 00000030af609db4 sp 00007fff2df8cb90 error 4 in libpthread-2.14.90.so[30af600000+17000]
:Apr 16 10:49:20 ThiefLenovo abrt[6449]: Saved core dump of pid 6386 (/usr/bin/synergys) to /var/spool/abrt/ccpp-2012-04-16-10:49:20-6386 (17977344 bytes)
:Apr 16 14:15:30 ThiefLenovo kernel: [16406.899135] synergys[6584]: segfault at 10 ip 00000030af609db4 sp 00007fff472f9050 error 4 in libpthread-2.14.90.so[30af600000+17000]
:Apr 16 14:15:31 ThiefLenovo abrt[14099]: Saved core dump of pid 6584 (/usr/bin/synergys) to /var/spool/abrt/ccpp-2012-04-16-14:15:30-6584 (18173952 bytes)
Comment 1 Blue.Dog.Archolite 2012-04-16 15:27:50 EDT
Created attachment 577806 [details]
File: event_log
Comment 2 Blue.Dog.Archolite 2012-04-16 15:28:40 EDT
Created attachment 577808 [details]
File: coredump
Comment 3 Blue.Dog.Archolite 2012-04-16 15:28:44 EDT
Created attachment 577809 [details]
File: backtrace
Comment 4 Blue.Dog.Archolite 2012-04-16 15:28:45 EDT
Created attachment 577810 [details]
File: maps
Comment 5 Blue.Dog.Archolite 2012-04-18 12:55:49 EDT
Attempting to paste from Mac Client to Linux host using middle mouse button after copying to clip board.

switch from "BlueDogArcholite" to "ThiefLenovo.mp" at 4,229
entering screen
Segmentation fault (core dumped)


Should read:

leaving screen
screen "ThiefLenovo.mp" updated clipboard 0
screen "ThiefLenovo.mp" updated clipboard 1
switch from "BlueDogArcholite" to "ThiefLenovo.mp" at 1,566
entering screen


backtrace_rating: 4
Package: synergy-1.3.8-1
OS Release: Fedora release 16 (Verne)
Comment 6 Blue.Dog.Archolite 2012-04-18 12:55:51 EDT
Created attachment 578412 [details]
File: backtrace
Comment 7 Blue.Dog.Archolite 2012-06-20 13:18:13 EDT
Moving mouse from server screen to client screen. 

backtrace_rating: 4
Package: synergy-1.3.8-1
OS Release: Fedora release 16 (Verne)
Comment 8 Stuart Rothrock 2012-11-22 14:31:23 EST
exiting screen occasionally causes fault.

backtrace_rating: 4
Package: synergy-1.4.5-1
OS Release: Fedora release 16 (Verne)
Comment 9 Fedora End Of Life 2013-01-16 07:37:56 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Fedora End Of Life 2013-02-13 07:58:03 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.